%if 0%{?el7}
%define dist .el7
%endif

Name:           libopenmpt
Version:        0.2.7299
Release:        1%{?dist}
Summary:        OpenMPT based module player library and libopenmpt based command-line player

License:        BSD
URL:            https://lib.openmpt.org/libopenmpt/
Source0:        https://lib.openmpt.org/files/libopenmpt/src/%{name}-%{version}-beta20.2.tar.gz

BuildRequires:  libtool-ltdl-devel
#Requires:       

%description
libopenmpt is a cross-platform C++ and C library to decode tracked music files (modules) [wikipedia] into a raw PCM audio stream.
openmpt123 is a cross-platform command-line or terminal based module file player.
libopenmpt is based on the player code of the OpenMPT project (Open ModPlug Tracker, https://openmpt.org/). In order to avoid code base fragmentation, libopenmpt is developed in the same source code repository as OpenMPT.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    static
The %{name}-static package contains library files for
developing applications that use %{name}.

%prep
%autosetup


%build
#%%configure --disable-static
#%%make_build
%ifarch x86_64
sed -i 's,/lib/,/lib64/,g;' Makefile
%endif
make PREFIX=%{_prefix} DESTDIR=%{_prefix} SHARED_LIB=1 VERBOSE=2

%install
rm -rf $RPM_BUILD_ROOT
%make_install PREFIX=%{_prefix}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%ifarch x86_64
sed -i 's,/lib,/lib64,g;' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libopenmpt.pc
%endif

chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so*

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md TODO examples
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/openmpt123
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/*.a

%changelog
* Mon Oct 31 2016 momo-i <webmaster@momo-i.org> - 1.26.06.00-1
- Initial rpm release
